MCP Tools Reference: memorystore.googleapis.com

Tool: get_certificate_authority

Get the certificate authority for a Memorystore for Valkey instance.

The following sample demonstrate how to use curl to invoke the get_certificate_authority MCP tool.

Curl Request
                  
curl --location 'https://memorystore.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_certificate_authority",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for GetCertificateAuthority.

GetCertificateAuthorityRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance}/certificateAuthority

Output Schema

A certificate authority for an instance.

CertificateAuthority

JSON representation
{
  "name": string,

  // Union field server_ca can be only one of the following:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of list of possible types for union field server_ca.
}
Fields
name

string

Identifier. Unique name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance}

Union field server_ca. Information about the server certificate authority. server_ca can be only one of the following:
managedServerCa

object (ManagedCertificateAuthority)

A managed server certificate authority.

ManagedCertificateAuthority

JSON representation
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
Fields
caCerts[]

object (CertChain)

PEM encoded CA certificate chains for managed server authentication.

CertChain

JSON representation
{
  "certificates": [
    string
  ]
}
Fields
certificates[]

string

The certificates that form the CA chain in order of leaf to root.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌